﻿$ErrorActionPreference  = 'Stop'
 if(!$PSScriptRoot){ $PSScriptRoot = Split-Path $MyInvocation.MyCommand.Path -Parent }
. "$PSScriptRoot\helper.ps1"

# Get Package Parameters
$toolsDir = @{$true="${env:ProgramFiles}\AdoptOpenJDK";$false="${env:programfiles(x86)}\AdoptOpenJDK"}[ ((Get-OSArchitectureWidth 64) -or ($env:chocolateyForceX86 -eq $true)) ]
$parameters = (Get-PackageParameters); $pp = ( Test-PackageParamaters $parameters ).ToString() -replace('"|="True"','') -replace(";", ' ') -replace("==", '=')

$packageArgs = @{
  PackageName = 'AdoptOpenJDK14openj9jre'
  Url64bit = 'https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.2%2B12_openj9-0.21.0/OpenJDK14U-jre_x64_windows_openj9_14.0.2_12_openj9-0.21.0.msi'
  Checksum64 = '12C883DA9337470094993384C68F85EFFDD1752575FC2316459B50D541E35060'
  ChecksumType64 = 'sha256'
  fileType      = ''
  SilentArgs = "$pp"
}

Install-ChocolateyPackage @packageArgs
